FORMS(3)

NAME
field_arg, field_type, set_field_type - form library

LIBRARY
libform

SYNOPSIS
#include <form.h>
char *
field_arg(FIELD *field);
FIELDTYPE *
field_type(FIELD *field);
int
set_field_type(FIELD *field, FIELDTYPE *type, ...);

DESCRIPTION
The field_arg() function returns the field type arguments that are associated with the given field. The field_type() function returns the field type structure associated with the given field, this type can be set by calling the set_field_type() function which associates the given field type with the field, the third and subsequent parameters are field dependent arguments.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following error values:

E_OK
    The function was successful.

SEE ALSO
curses(3), forms(3)

NOTES
The header <form.h> automatically includes both <curses.h> and <eti.h>.